com.creamtec.ajaxswing.i18n

## Class I18NUtils

- java.lang.Object
- - com.creamtec.ajaxswing.i18n.I18NUtils

-     public class I18NUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BASE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I18NUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.ClassLoader` | `createI18NClassLoader()`
    `static java.util.Locale` | `createLocale(java.lang.String localeStr)`
    `static java.util.Locale` | `getApplicationLocale(AppProperties props, javax.servlet.http.HttpServletRequest request)`
    `static java.lang.ClassLoader` | `getClassLoader()`
    `static java.lang.String` | `getMessage(I18NKeys key, java.util.Locale userLocale)`
    `static java.util.Locale` | `getPreferredBrowserLocale(javax.servlet.http.HttpServletRequest request)`
    `static java.lang.String` | `getPreferredLanguage(java.lang.String acceptLanguageHeader)`
    `static java.lang.String` | `getPrefferedLanguage(ClientAgent clientAgent)`
    `static void` | `reloadResourceBundles()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_NAME

          public static final java.lang.String BASE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### I18NUtils

          public I18NUtils()

  - ### Method Detail

    - #### getClassLoader

          public static java.lang.ClassLoader getClassLoader()

    - #### getMessage

          public static java.lang.String getMessage(I18NKeys key,
                                    java.util.Locale userLocale)

    - #### getPreferredBrowserLocale

          public static java.util.Locale getPreferredBrowserLocale(javax.servlet.http.HttpServletRequest request)

    - #### getApplicationLocale

          public static java.util.Locale getApplicationLocale(AppProperties props,
                                              javax.servlet.http.HttpServletRequest request)

    - #### getPreferredLanguage

          public static java.lang.String getPreferredLanguage(java.lang.String acceptLanguageHeader)

    - #### getPrefferedLanguage

          public static java.lang.String getPrefferedLanguage(ClientAgent clientAgent)

    - #### createI18NClassLoader

          public static java.lang.ClassLoader createI18NClassLoader()
                                                             throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### createLocale

          public static java.util.Locale createLocale(java.lang.String localeStr)

    - #### reloadResourceBundles

          public static void reloadResourceBundles()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.